function submitchk(f)
{
	if (	!value_between(f.sip_auth_timeout.value, 60, 65535, "Authentication expired time should be between 1..65535."))
		return false;

	if (	!valid_or_null(f.sip_port0_registar_server_addr.value, is_hostname, "Port 1 Registrar address is in invalid format.") ||
			!integer_between(f.sip_port0_registar_server_port.value, 1024, 65535, "Port 1 Registrar port should be an integer between 1024..65535.") ||
			!valid_or_null(f.sip_port0_proxy_server_addr.value, is_hostname, "Port 1 Proxy address is in invalid format.") ||
			!integer_between(f.sip_port0_proxy_server_port.value, 1024, 65535, "Port 1 Proxy port should be an integer between 1024..65535.") ||
			(f.sip_port0_outboundproxy_enable.checked &&
			 (!valid_or_null(f.sip_port0_outboundproxy_server_addr.value, is_hostname, "Port 1 Outbound Proxy address is in invalid format.") ||
			  !integer_between(f.sip_port0_outboundproxy_server_port.value, 1024, 65535, "Port 1 Outbound Proxy port should be an integer between 1024..65535.")))   ) {
		return false;
	}
	if (fxs_num=="2"){
		if (	!valid_or_null(f.sip_port1_registar_server_addr.value, is_hostname, "Port 2 Registrar address is in invalid format.") ||
				!integer_between(f.sip_port1_registar_server_port.value, 1024, 65535, "Port 2 Registrar port should be an integer between 1024..65535.") ||
				!valid_or_null(f.sip_port1_proxy_server_addr.value, is_hostname, "Port 2 Proxy address is in invalid format.") ||
				!integer_between(f.sip_port1_proxy_server_port.value, 1024, 65535, "Port 2 Proxy port should be an integer between 1024..65535.") ||
				(f.sip_port1_outboundproxy_enable.checked &&
				 (!valid_or_null(f.sip_port1_outboundproxy_server_addr.value, is_hostname, "Port 2 Outbound Proxy address is in invalid format.") ||
				  !integer_between(f.sip_port1_outboundproxy_server_port.value, 1024, 65535, "Port 2 Outbound Proxy port should be an integer between 1024..65535.")))  ) {
			return false;
		}
	}
	/*
	if (	!valid(f.sip_stun_server_addr.value, is_hostname, "STUN server address is in invalid format.") ) {
		return false;
	}
*/
	return true;
}

function sip_port_enable_change(e, port)
{
	f=document.sipsform;
	if (e.checked) {	// enabled
		
		document.getElementById("row_sip_port"+port+"_registar_server_addr").className = "data_visible";
		document.getElementById("row_sip_port"+port+"_registar_server_port").className = "data_visible";
		document.getElementById("row_sip_port"+port+"_proxy_server_addr").className = "data_visible";
		document.getElementById("row_sip_port"+port+"_proxy_server_port").className = "data_visible";
		document.getElementById("row_sip_port"+port+"_outboundproxy_enable").className = "data_visible";
		//sip_ports_outboundproxy_enable_change();
		//document.getElementById("row_port"+port+"_outboundproxy_server_addr").className = "data_visible";
		//document.getElementById("row_port"+port+"_outboundproxy_server_port").className = "data_visible";
		
		document.getElementById("row_sip_port"+port+"_dnssrv_enable").className = "data_visible";
		//sip_port_asserted_enable_change(document.getElementById("sip_port"+port+"_asserted_enable"), port);
	} else {
		document.getElementById("row_sip_port"+port+"_outboundproxy_enable").className = "data_invisible";
		document.getElementById("row_sip_port"+port+"_proxy_server_port").className = "data_invisible";
		document.getElementById("row_sip_port"+port+"_proxy_server_addr").className = "data_invisible";
		document.getElementById("row_sip_port"+port+"_registar_server_port").className = "data_invisible";
		document.getElementById("row_sip_port"+port+"_registar_server_addr").className = "data_invisible";
		//sip_ports_outboundproxy_enable_change();
		//document.getElementById("row_port"+port+"_outboundproxy_server_addr").className = "data_invisible";
		//document.getElementById("row_port"+port+"_outboundproxy_server_port").className = "data_invisible";
		document.getElementById("row_sip_port"+port+"_dnssrv_enable").className = "data_invisible";
	}
	
	if (port==0) 
		sip_port_outboundproxy_enable_change(f.sip_port0_outboundproxy_enable,0);
	else
		sip_port_outboundproxy_enable_change(f.sip_port1_outboundproxy_enable,1);
		
}

function sip_port_outboundproxy_enable_change(e, port)
{
	if (e.checked) {	// enabled
		document.getElementById("row_port"+port+"_outboundproxy_server_addr").className = "data_visible";
		document.getElementById("row_port"+port+"_outboundproxy_server_port").className = "data_visible";
	} else {
		document.getElementById("row_port"+port+"_outboundproxy_server_addr").className = "data_invisible";
		document.getElementById("row_port"+port+"_outboundproxy_server_port").className = "data_invisible";
	}
}

function sip_ports_outboundproxy_enable_change()
{
		var f=document.sipsform;
		sip_port_enable_change(f.sip_port0_enable, 0);
		sip_port_outboundproxy_enable_change(f.sip_port0_outboundproxy_enable,0);
		
		if (fxs_num=="2"){
			sip_port_enable_change(f.sip_port1_enable, 1);
			sip_port_outboundproxy_enable_change(f.sip_port1_outboundproxy_enable,1);
		}
}